import Foundation

extension Page {

    enum Mock {

        static func mockData(content: Content) -> [Page] {
            [
                Page(
                    content: content,
                    id: "my-id",
                    externalLink: nil,
                    isDraft: true,
                    createdDate: Date(),
                    hideDate: false,
                    startDate: Date().addingTimeInterval(-86400),
                    endDate: nil,
                    german: LocalizedPage(
                        content: content,
                        urlString: "mein-projekt",
                        title: "Mein Erstes Projekt",
                        lastModified: nil,
                        originalUrl: "projects/electronics/my-first-project/de.html"),
                    english: LocalizedPage(
                        content: content,
                        urlString: "my-project",
                        title: "My First Project",
                        lastModified: nil,
                        originalUrl: "projects/electronics/my-first-project/en.html"),
                    tags: [
                        content.tags.first(where: { $0.identifier == "electronics" })!
                    ])
            ]
        }

        static var empty: Page {
            Content.mock.pages.first(where: { $0.identifier == "my-id" })!
        }
    }
}
